M        = 1600;  // 車重(kg)
gear     = 8.193; // ギア比
tire     = 0.316; // タイヤ半径(m)
sig      = 1.293; // 空気密度(kg/m^3) 
S        = 2.2;   // 前面投影面積(m^2)
cd       = 0.28;  // cd値
c        = 0.015; // 転がり抵抗係数
max_tq   = 320;   // モーターMAXトルク(Nm)
max_pw   = 110;   // モーターMAX出力(kw))
bat_cap  = 40;    // バッテリー容量(kwh)
bat_temp = 25;    // バッテリー温度(℃)
chrg_eff = 0.9;   // バッテリー充電効率
soc_init = 80;   // 初期SOC(%)

// バッテリーから出力可能な電力量
bat_out_x = [0,20,40,60,80,100]
bat_out_y = [-20,0,20,40,60]
bat_out_z = [
 0, 0, 0, 0, 0, 0;
 0,20,25,30,35,35;
 0,50,60,70,80,80;
 0,50,60,70,80,80;
 0, 0, 0, 0, 0, 0;
]

// バッテリーへ入力可能な電力量
bat_in_x = [0,20,40,60,80,100]
bat_in_y = [-20,0,20,40,60]
bat_in_z = [
 0, 0, 0, 0, 0,0;
20,20,25,30,35,0;
50,50,60,70,80,0;
50,50,60,70,80,0;
 0, 0, 0, 0, 0,0;
]
